package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository

@Repository
interface QcItemRepository : AbstractRepository<QcItem, Long> {
    fun findAllByDeletedIsFalse(): List<QcItem>

    fun findByCodeAndDeletedIsFalse(code: String): QcItem?

    fun findByIdAndDeletedIsFalse(id: Long): QcItem?
}